/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.prediction.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for Input.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Prediction API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Input extends GenericJson {

  /**
   * Input to the model for a prediction.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private InputInput input;

  /**
   * Input to the model for a prediction.
   * The value returned may be {@code null}.
   */
  public InputInput getInput() {
    return input;
  }

  /**
   * Input to the model for a prediction.
   * The value set may be {@code null}.
   */
  public Input setInput(InputInput input) {
    this.input = input;
    return this;
  }

  /**
   * Input to the model for a prediction.
   */
  public static final class InputInput extends GenericJson {

    /**
     * A list of input features, these can be strings or doubles.
     * The value may be {@code null}.
     */
    @com.google.api.client.util.Key
    private java.util.List<Object> csvInstance;

    /**
     * A list of input features, these can be strings or doubles.
     * The value returned may be {@code null}.
     */
    public java.util.List<Object> getCsvInstance() {
      return csvInstance;
    }

    /**
     * A list of input features, these can be strings or doubles.
     * The value set may be {@code null}.
     */
    public InputInput setCsvInstance(java.util.List<Object> csvInstance) {
      this.csvInstance = csvInstance;
      return this;
    }

  }
}
