/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.prediction.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for List.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Prediction API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class List extends GenericJson {

  /**
   * List of models.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Insert2> items;

  static {
    // hack to force ProGuard to consider Insert2 used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(Insert2.class);
  }

  /**
   * What kind of resource this is.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Pagination token to fetch the next page, if one exists.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String nextPageToken;

  /**
   * A URL to re-request this resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String selfLink;

  /**
   * List of models.
   * The value returned may be {@code null}.
   */
  public java.util.List<Insert2> getItems() {
    return items;
  }

  /**
   * List of models.
   * The value set may be {@code null}.
   */
  public List setItems(java.util.List<Insert2> items) {
    this.items = items;
    return this;
  }

  /**
   * What kind of resource this is.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * What kind of resource this is.
   * The value set may be {@code null}.
   */
  public List setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Pagination token to fetch the next page, if one exists.
   * The value returned may be {@code null}.
   */
  public String getNextPageToken() {
    return nextPageToken;
  }

  /**
   * Pagination token to fetch the next page, if one exists.
   * The value set may be {@code null}.
   */
  public List setNextPageToken(String nextPageToken) {
    this.nextPageToken = nextPageToken;
    return this;
  }

  /**
   * A URL to re-request this resource.
   * The value returned may be {@code null}.
   */
  public String getSelfLink() {
    return selfLink;
  }

  /**
   * A URL to re-request this resource.
   * The value set may be {@code null}.
   */
  public List setSelfLink(String selfLink) {
    this.selfLink = selfLink;
    return this;
  }

}
